Update e2e image (#5174)

This commit is contained in:
Manuel Alejandro de Brito Fontes 2020-02-26 16:52:31 -03:00 committed by GitHub
parent f00f49a295
commit 652a8e62b7
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
4 changed files with 25 additions and 3 deletions

View file

@ -34,7 +34,7 @@ function cleanup {
}
trap cleanup EXIT
E2E_IMAGE=quay.io/kubernetes-ingress-controller/e2e:v02212020-07686f894
E2E_IMAGE=quay.io/kubernetes-ingress-controller/e2e:v02262020-a830e931d
DOCKER_OPTS=${DOCKER_OPTS:-}

View file

@ -20,4 +20,4 @@ set -o pipefail
KUBE_ROOT="$( cd "$(dirname "$0")../" >/dev/null 2>&1 ; pwd -P )"
ct lint --charts ${KUBE_ROOT}/charts/ingress-nginx
ct lint --charts ${KUBE_ROOT}/charts/ingress-nginx --validate-maintainers=false

View file

@ -22,6 +22,7 @@ ARG RESTY_CLI_SHA
ARG K8S_RELEASE
ARG ETCD_VERSION
ARG CHART_TESTING_VERSION
ENV GOPATH /go
ENV PATH $GOPATH/bin:/usr/local/go/bin:$PATH
@ -40,6 +41,8 @@ RUN apk add --no-cache \
musl-dev \
perl \
python \
py-crcmod \
py-pip \
openssl
RUN set -eux; \
@ -116,4 +119,23 @@ RUN wget https://storage.googleapis.com/etcd/${ETCD_VERSION}/etcd-${ETCD_VERSION
&& cp /tmp/etcd-download/etcd /usr/local/bin \
&& rm -rf /tmp/etcd-download
# Install a YAML Linter
ARG YAML_LINT_VERSION
RUN pip install "yamllint==$YAML_LINT_VERSION"
# Install Yamale YAML schema validator
ARG YAMALE_VERSION
RUN pip install "yamale==$YAMALE_VERSION"
RUN wget https://github.com/helm/chart-testing/releases/download/v${CHART_TESTING_VERSION}/chart-testing_${CHART_TESTING_VERSION}_linux_amd64.tar.gz \
-O /tmp/ct-${CHART_TESTING_VERSION}-linux-amd64.tar.gz \
&& mkdir -p /tmp/ct-download \
&& tar xzvf /tmp/ct-${CHART_TESTING_VERSION}-linux-amd64.tar.gz -C /tmp/ct-download \
&& cp /tmp/ct-download/ct /usr/local/bin \
&& mkdir -p /etc/ct \
&& cp -R /tmp/ct-download/etc/* /etc/ct \
&& rm -rf /tmp/ct-download
RUN curl -sSL https://raw.githubusercontent.com/helm/helm/master/scripts/get-helm-3 | bash
WORKDIR $GOPATH

View file

@ -1,4 +1,4 @@
FROM quay.io/kubernetes-ingress-controller/e2e:v02212020-07686f894 AS BASE
FROM quay.io/kubernetes-ingress-controller/e2e:v02262020-a830e931d AS BASE
FROM alpine:3.11